AWS
action ASG

# detach_random_volume

Detaches a random (non root) ebs volume from ec2 instances associated to an ASG

Run it now
View details

Type | action
Module | chaosaws.asg.actions
Name | detach_random_volume
Return | list

Usage

JSON

    {
      "name": "detach-random-volume",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.asg.actions",
        "func": "detach_random_volume"
      }
    }

YAML

    name: detach-random-volume
    provider:
      func: detach_random_volume
      module: chaosaws.asg.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
asg_names | list | null | No | ASG Names | One or many ASG names as a JSON encoded list
tags | list | null | No | ASG Tags | List of AWS tags for to identify ASG by tags instead of by names
force | boolean | true | No | Force | Force the operation

Signature

    def detach_random_volume(
            asg_names: List[str] = None,
            tags: List[Dict[str, str]] = None,
            force: bool = True,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> List[Dict[str, Any]]:
        pass

## Related starters

- AWS
  action ASG

  ## `change_subnets`

  Adds/removes subnets on autoscaling groups
- AWS
  action ASG

  ## `terminate_random_instances`

  Terminates one or more random healthy instances associated to an ALB
- AWS
  probe ASG

  ## `is_scaling_in_progress`

  Check if there is any scaling activity in progress for ASG matching tags